<?php
/*
 * Author: Etienne Gauthier (etienne_sf@sourceforge.net)
 * 
 * Receive a picture uploaded by the jupload.php script (through the JUpload applet)
 * 
 * Up to date version of this script can be retrieved with the full JUpload package, here:
 * 
 * http://etienne.lesgauthier.fr/wiki
 * 
 * Directly here:
 * http://etienne.lesgauthier.fr/wiki/doku.php?id=jupload_coppermine_download_gb
 * 
 * The applet is published on sourceforge:
 * http://jupload.sourceforge.net
 * 
 */


if (!defined('IN_COPPERMINE')) die('Not in Coppermine...');

require_once('include/init.inc.php');


//Include the language strings.
define('JUPLOAD_PHP', true);

////////////////////////////////////////////////////////////////////////////////////////////////// 
///////////////////////////   Creation of the JUpload button ///////////////////////////////////// 
////////////////////////   Taken from the photo_summary plugin////////////////////////////////// 
////////////////////////////////////////////////////////////////////////////////////////////////// 
// User menus , (fixed by Sami)
$thisplugin->add_action('page_start','jupload_page_start');



// Add photo_summary button after home under sys menu (added by Sami)
function jupload_page_start()
{
	global $template_sys_menu, $USER, $lang_jupload_php;
	
	//We include now the jupload texts, so that we get the current user configuration. 
	require('plugins/jupload/lang/english.php');
	//If the user language is defined, let's use it. If not, we'll got no error.
	include('plugins/jupload/lang/' . $USER['lang'] . '.php');
	//Let's call any user specific constant, like overriding of the 'standard' translation texts.
	include('plugins/jupload/user/user.inc.php');

 	//global $template_sys_menu, $template_sys_menu_spacer, $template_sys_menu_button, $sys_menu_buttons;
	//global $CONFIG, $lang_plugin_photo_summary;
	
	//if(USER_ID){//uncomment this line if you will only registred users to see the link
		$new_template=$template_sys_menu;
		$button=template_extract_block($new_template,'faq');
		$link = 'JUpload';
		  
		$params = array(
			'{FAQ_LNK}'   => $lang_jupload_php['link_title'],
			'{FAQ_TITLE}' => $lang_jupload_php['link_comment'],
			'{FAQ_TGT}'   => 'plugins/jupload/jupload.php',
			'faq'         => $link,
		);
		$new_button = "<!-- BEGIN $link -->".template_eval($button,$params)."<!-- END $link -->\n";
		
		//A patch for the 'hardwired' theme, that need the themes/hardwired/images/buttonleftJUpload.gif image
		//This image, of course (hum .. jupload should be everywhere ;-) ), doesn't exist in this theme. So we
		//replace by the faq.gif picture.
		$new_button = str_replace('JUpload.gif', 'faq.gif', $new_button);
		
		template_extract_block(
			$template_sys_menu,
			'faq',
			"<!-- BEGIN faq -->" . $button . "<!-- END faq -->\n" .$new_button 
		);
	//}//uncomment this line if you will only registred users to see the link
}
